summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-calculators/tiemu/tiemu-3.03.ebuild
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-calculators/tiemu/tiemu-3.03.ebuild')
-rw-r--r--sci-calculators/tiemu/tiemu-3.03.ebuild61
1 files changed, 61 insertions, 0 deletions
diff --git a/sci-calculators/tiemu/tiemu-3.03.ebuild b/sci-calculators/tiemu/tiemu-3.03.ebuild
new file mode 100644
index 00000000000..730bde9e19f
--- /dev/null
+++ b/sci-calculators/tiemu/tiemu-3.03.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit eutils
+
+DESCRIPTION="Texas Instruments hand-helds emulator"
+HOMEPAGE="http://lpg.ticalc.org/prj_tiemu/"
+SRC_URI="http://repo.calcforge.org/debian/source/${PN}_${PV}.orig.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="dbus nls sdl threads xinerama"
+
+RDEPEND="sci-libs/libticables2
+ sci-libs/libticalcs2
+ sci-libs/libtifiles2
+ sci-libs/libticonv
+ gnome-base/libglade:2.0
+ x11-libs/gtk+:2
+ dbus? ( >=dev-libs/dbus-glib-0.60 )
+ nls? ( virtual/libintl )
+ sdl? ( media-libs/libsdl )
+ xinerama? ( x11-libs/libXinerama )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )
+ xinerama? ( x11-proto/xineramaproto )"
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/${P}-remove_depreciated_gtk_calls.patch \
+ "${FILESDIR}"/${P}-r2820.patch
+
+ # Don't use GTK_DISABLE_DEPRECATED flags
+ sed 's:-DGTK_DISABLE_DEPRECATED::g' -i configure.ac configure || die
+}
+
+src_configure() {
+ econf \
+ --disable-rpath \
+ --disable-debugger \
+ --disable-gdb \
+ $(use_enable nls) \
+ $(use_enable sdl sound) \
+ $(use_enable threads) \
+ $(use_enable threads threading) \
+ $(use_with dbus) \
+ --without-kde \
+ $(use_with xinerama)
+}
+
+src_install() {
+ default
+ rm -f "${ED}"usr/share/tiemu/{Manpage.txt,COPYING,RELEASE,AUTHORS,LICENSES}
+ make_desktop_entry tiemu "TiEmu Calculator" \
+ "${EPREFIX}"/usr/share/tiemu/pixmaps/icon.xpm
+}